org.jfree.report

## Interface DataFlags

- All Known Implementing Classes:
    DefaultDataFlags

      public interface DataFlags

  A DataFlags object is an immutable wrapper around a value read from the datarow.
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `java.lang.Object` | `getValue()`
    `boolean` | `isChanged()`
    `boolean` | `isDate()`
    `boolean` | `isNegative()`
    `boolean` | `isNull()`
    `boolean` | `isNumeric()`
    `boolean` | `isPositive()`
    `boolean` | `isZero()`

- - ### Method Detail

    - #### isNumeric

          boolean isNumeric()

    - #### isDate

          boolean isDate()

    - #### isNull

          boolean isNull()

    - #### isZero

          boolean isZero()

    - #### isNegative

          boolean isNegative()

    - #### isPositive

          boolean isPositive()

    - #### isChanged

          boolean isChanged()

    - #### getValue

          java.lang.Object getValue()
                             throws DataSourceException

      Throws:
        `DataSourceException`

    - #### getName

          java.lang.String getName()